summaryrefslogtreecommitdiffstats
path: root/misc/doclifter
diff options
context:
space:
mode:
author Didier Spaier <didier at slint dot fr>2015-07-22 11:49:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-07-22 13:53:46 +0700
commit4ab10c9c9c6f9e39a4670bce6027ca4736183400 (patch)
tree439ee02f3bb8dd0ad7f0c5221e2810697288b8c8 /misc/doclifter
parent14c090eb789a505cacda67676141eb50f2e163c0 (diff)
downloadslackbuilds-4ab10c9c9c6f9e39a4670bce6027ca4736183400.tar.gz
slackbuilds-4ab10c9c9c6f9e39a4670bce6027ca4736183400.tar.xz
misc/doclifter: Added (convert documents).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc/doclifter')
-rw-r--r--misc/doclifter/README12
-rw-r--r--misc/doclifter/doclifter.SlackBuild70
-rw-r--r--misc/doclifter/doclifter.info10
-rw-r--r--misc/doclifter/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/misc/doclifter/README b/misc/doclifter/README
new file mode 100644
index 0000000000..be6e5ab4be
--- /dev/null
+++ b/misc/doclifter/README
@@ -0,0 +1,12 @@
+doclifter lifts documents in nroff markups to XML-DocBook.
+
+This package ships two Python scripts:
+_doclifter translates documents written in troff macros like man pages to
+ DocBook, that can then be converted to other formats or translated.
+_manlifter is a mass-conversion script and test harness for doclifter.
+ It can find and convert _all_ man pages in your system with one simple
+ command, but in a few cases.
+
+See the man pages, also in HTML format in /usr/doc/docfilter*/html
+
+docfilter's author is Eric S. Raymond.
diff --git a/misc/doclifter/doclifter.SlackBuild b/misc/doclifter/doclifter.SlackBuild
new file mode 100644
index 0000000000..0a246e9af5
--- /dev/null
+++ b/misc/doclifter/doclifter.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for doclifter
+
+# Copyright 2015 Didier Spaier Paris, France
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=doclifter
+VERSION=${VERSION:-2.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_slint}
+
+# We package Python scripts, so:
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html $PKG/usr/man/man1 $PKG/usr/bin
+
+cp doclifter manlifter $PKG/usr/bin
+gzip <doclifter.1 >$PKG/usr/man/man1/doclifter.1.gz
+gzip <manlifter.1 >$PKG/usr/man/man1/manlifter.1.gz
+
+xmlto xhtml-nochunks doclifter.xml
+xmlto xhtml-nochunks manlifter.xml
+cp -a doclifter.html manlifter.html $PKG/usr/doc/$PRGNAM-$VERSION/html
+
+cp -a COPYING README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/doclifter/doclifter.info b/misc/doclifter/doclifter.info
new file mode 100644
index 0000000000..9a3444a5a0
--- /dev/null
+++ b/misc/doclifter/doclifter.info
@@ -0,0 +1,10 @@
+PRGNAM="doclifter"
+VERSION="2.15"
+HOMEPAGE="http://www.catb.org/~esr/doclifter/"
+DOWNLOAD="http://www.catb.org/~esr/doclifter/doclifter-2.15.tar.gz"
+MD5SUM="2615cdf2081d31c003d8a41c1c5201c2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Didier Spaier"
+EMAIL="didier at slint dot fr"
diff --git a/misc/doclifter/slack-desc b/misc/doclifter/slack-desc
new file mode 100644
index 0000000000..959f28acb8
--- /dev/null
+++ b/misc/doclifter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+doclifter: doclifter (convert document)
+doclifter:
+doclifter: doclifter lifts documents in nroff markups to XML-DocBook.
+doclifter: This package ships two Python scripts:
+doclifter: _doclifter translates documents written in troff macros like man
+doclifter: pages to DocBook, that can then be converted to other formats.
+doclifter: _manlifter is a mass-conversion script and test harness for
+doclifter: doclifter.
+doclifter:
+doclifter: docfilter's author is Eric S. Raymond.
+doclifter: